Name: H5Pcopy_prop
Signature:
  herr_t `H5Pcopy_prop`( hid_t `dst_id`, hid_t `src_id`, const char *`name` )
Purpose:
  Copies a property from one list or class to another.
Description:
  `H5Pcopy_prop` copies a property from one property list or class to another.

  If a property is copied from one class to another, all the property information will be first deleted from the destination class and then the property information will be copied from the source class into the destination class.

  If a property is copied from one list to another, the property will be first deleted from the destination list (generating a call to the `close` callback for the property, if one exists) and then the property is copied from the source list to the destination list (generating a call to the `copy` callback for the property, if one exists).

  If the property does not exist in the class or list, this call is equivalent to calling `H5Pregister` or `H5Pinsert` (for a class or list, as appropriate) and the `create` callback will be called in the case of the property being copied into a list (if such a callback exists for the property).

Parameters:

hid_t `dst_id` | IN: Identifier of the destination property list or class
hid_t `src_id` | IN: Identifier of the source property list or class
const char *`name` | IN: Name of the property to copy

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5pcopy_prop_f

      SUBROUTINE h5pcopy_prop_f(dst_id, src_id, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dst_id  ! Destination property list
                                              ! identifier
        INTEGER(HID_T), INTENT(IN) :: src_id  ! Source property list identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Property name
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pcopy_prop_f